/*
 * path.c: file paths utility helper
 *
 * Copyright (C) 2011-2012 Red Hat, Inc.
 *
 * See COPYING.LIB for the License of this software
 *
 * Author: Mo Morsi <mmorsi@redhat.com>
 */

#include <string.h>

void split_path_file(char** p, char** f, char *pf){
  char *slash = pf, *next;
  while ((next = strpbrk(slash + 1, "\\/"))) slash = next;
  if (pf != slash) slash++;
  *p = strndup(pf, slash - pf);
  *f = strdup(slash);
}
